package types

import "gitp78su.ipnodns.ru/svi/goarch/lev0/alias"

// IArchLink -- интерфейс связи между узлами
type IArchLink interface {
	IArchText
	// SrcId -- возвращает ID источника связи
	SrcId() alias.ArchId
	// DstId -- возвращает ID получателя связи
	DstId() alias.ArchId
	// CoordEnd -- координаты конца связи
	// CoordEnd() IViewCoord
	// TypeLink -- тип связи
	TypeLink() string
}
